
layui.extend({
    view: 'web/kdayunadmin/lib/view', //视图渲染模块
}).define(['setter', 'admin', 'zlPinYin'], function (exports) {
    var
        admin = layui.admin,
        common = layui.common,
        $ = layui.$;

    window.addEventListener('message', function (event) {
        if (event.data) {
            admin.doMessage(event.data)
        }
    });

    /**
     * 主题渲染
     */
    function renderTheme() {
        window['kdtheme'].render(true, true);
    }

    renderTheme();


    //清除缓存
    $('#clearCached').on('click', function () {
        layer.alert('清除完成!', {
            icon: 1,
            title: '系统提示'
        }, function () {
            location.reload(); //刷新
        });
    });

    $('.admin-side-cacheclear').on('click', function () {
        $.ajax({
            url: layui.cache['contentPath'] + '/core/cache/clear',
            type: 'get',
            async: false,
            dataType: 'json',
            contentType: "application/json",
            success: function (result) {
                if (result.state == 'OK')
                    alert('清理服务器缓存完毕！');
                else
                    alert('清理服务器缓存出错：' + result.msg)
            },
            error: function (xhr, textStatus, errorThrown) {
                alert('请求异常! ' + xhr.responseText);
            }
        });
    });


    //获取当前用户信息并填充
    $.ajax({
        url: layui.cache['contentPath'] + '/admin/coreuser/querycuruserinfo',
        type: 'post',
        async: false,
        dataType: 'json',
        contentType: "application/json",
        success: function (result) {
            var data = result.obj;
            var getUrlPath = function (url) {
                if (url && (url.startsWith('http:') || url.startsWith('https:'))) {
                    return url;
                } else if (url) {
                    return layui.cache['contentPath'] + url
                } else {
                    return layui.cache['contentPath'] + '/static/image/userImg.png'
                }
            }
            $('#OBJNAME').html(data.userCursor.OBJNAME);
            $('#ROLENAME').attr('roleid', data.currentRoleId);
            $('#TOUX').prop('src', getUrlPath(data.userCursor.TOUX));
        },
        error: function (xhr, textStatus, errorThrown) {
            alert('请求异常!' + xhr.responseText);
        },
    });

    layui.event('WM_USERWFG', 'WM_OPENPAGE', null, function (WParam) {
        if (WParam && WParam.url != '' && WParam.text != '') {
            common.openTabsPage(WParam.url, WParam.text);
        }
        if (d && d.msg == 'openTopPage') {
            common.openLayerPage(d.params.url, d.params.title, d.params.resid, d.params);
        }
    });


    //对外输出
    exports('index', {
    });
});
